Bug 303328 - DigiKam crashes repeatedly while tagging faces
Summary: DigiKam crashes repeatedly while tagging faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-10 20:47 UTC by Bruno Kiste
Modified: 2019-12-23 06:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments
New crash information added by DrKonqi (8.96 KB, text/plain)
2013-04-08 21:45 UTC, Helmut Rohs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Kiste 2012-07-10 20:47:48 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.4 (4.8.4)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-26-generic-pae i686
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Tagging Faces, Firefox running in the background
- Custom settings of the application:
[AdvancedRename Input]
Pattern History List=\\0

[AdvancedRename Widget]
Options are expanded=true

[Album Settings]
Album Collections=Feiern,Freunde,Kategorie,Natur,Reisen,Urlaub,Verschiedene Einstellungen,Zu erledigen
Album Sort Order=0
Default Icon Size=96
Default Tree Icon Size=22
Icon Show Comments=true
Icon Show Date=true
Icon Show Image Format=false
Icon Show Modification Date=true
Icon Show Name=false
Icon Show Overlays=true
Icon Show Rating=true
Icon Show Resolution=false
Icon Show Size=false
Icon Show Tags=true
Icon Show Title=true
IconView Font=Sans Serif,9,-1,0,50,0,0,0,0,0
Image Group Mode=2
Image Sort Order=0
Image Sorting=0
Item Left Click Action=0
Preview Load Full Image Size=false
Preview Show Icons=true
Rating Filter Condition=0
Recursive Albums=false
Recursive Tags=true
Show Album ToolTips=true
Show Folder Tree View Items Count=false
Show Thumbbar=true
Show ToolTips=true
Sidebar Title Style=0
Theme=Standard
ToolTips Font=Sans Serif,9,-1,0,50,0,0,0,0,0
ToolTips Show Album Caption=true
ToolTips Show Album Category=true
ToolTips Show Album Collection=true
ToolTips Show Album Date=true
ToolTips Show Album Name=false
ToolTips Show Album Title=true
ToolTips Show Comments=true
ToolTips Show File Date=false
ToolTips Show File Name=true
ToolTips Show File Size=false
ToolTips Show Image Dim=true
ToolTips Show Image Type=false
ToolTips Show Label Rating=true
ToolTips Show Photo Date=true
ToolTips Show Photo Expo=true
ToolTips Show Photo Flash=false
ToolTips Show Photo Focal=true
ToolTips Show Photo Make=true
ToolTips Show Photo Mode=true
ToolTips Show Photo WB=false
ToolTips Show Tags=true
TreeView Font=Sans Serif,9,-1,0,50,0,0,0,0,0

[AlbumFolderView Sidebar]
CurrentIndex=
Expansion=0
RestoreChecked=false
Selection=
SortColumn=0
SortOrder=0

[AlbumIconViewFilterSearchTextBar Search Text Tool]
CaseSensitive=0

[AlbumSelectWidget]
AlbumTreeViewCurrentIndex=
AlbumTreeViewExpansion=
AlbumTreeViewRestoreChecked=false
AlbumTreeViewSelection=
AlbumTreeViewSortColumn=0
AlbumTreeViewSortOrder=0
CaseSensitive=0

[Batch Queue Manager Settings]
BqmBottomSplitter=AAAA/wAAAAAAAAACAAAA4gAAAb0BAAAABgEAAAAB
BqmTopSplitter=AAAA/wAAAAAAAAADAAAAgwAAAL4AAAC5AQAAAAYBAAAAAQ==
BqmVerticalSplitter=AAAA/wAAAAAAAAACAAAAjwAAAKMBAAAABgEAAAAC

[Camera Settings]
DefaultTargetAlbumId=0
UseDefaultTargetAlbum=false
UseThemeBackgroundColor=false

[Color Management]
BPCAlgorithm=true
DefaultMismatchBehavior=2049
DefaultMissingProfileBehavior=2050
DefaultPath=
DefaultUncalibratedBehavior=2080
DoGamutCheck=0
EnableCM=true
GamutCheckMaskColor=126,255,255
LastMismatchBehavior=2049
LastMissingProfileBehavior=2050
LastSpecifiedAssignProfile=
LastSpecifiedInputProfile=
LastUncalibratedBehavior=2080
ManagedPreviews=true
ManagedView=true
MonitorProfileFile[$e]=/usr/share/kde4/apps/libkdcraw/profiles/srgb-d65.icm
ProofingRenderingIntent=3
RenderingIntent=0
WorkProfileFile[$e]=/usr/share/kde4/apps/libkdcraw/profiles/srgb-d65.icm

[Database Settings]
Database Connectoptions=
Database Hostname=
Database Name=/home/martin/Bilder/
Database Name Thumbnails=/home/martin/Bilder/
Database Password=
Database Port=-1
Database Type=QSQLITE
Database Username=
Internal Database Server=false

[DateFolderView Sidebar]
CurrentIndex=
Expansion=
Selection=
SortColumn=0
SortOrder=0

[Digikam Left Sidebar]
ActiveTab=0
Minimized=false
RestoreSize=-1

[Digikam Right Sidebar]
ActiveTab=0
DigikamProperties Expanded=true
FileProperties Expanded=true
ImageProperties Expanded=true
Minimized=true
PhotographProperties Expanded=true
RestoreSize=209

[Digikam Right Sidebar][Color Properties Tab]
Current ICC Item=
Histogram Channel=0
Histogram Scale=1
ICC Level=0
ImagePropertiesColors Tab=0

[Digikam Right Sidebar][GPS Properties Tab]
Sort Order=0
Web GPS Locator=0

[Digikam Right Sidebar][GPS Properties Tab][Map Widget]
Backend=marble
Center=geo:52,6
GoogleMaps Map Type=ROADMAP
GoogleMaps Show Map Type Control=true
GoogleMaps Show Navigation Control=true
GoogleMaps Show Scale Control=true
Marble Map Theme=atlas
Marble Projection=spherical
Marble Show Compass=false
Marble Show Overview Map=false
Marble Show Scale Bar=false
Marker Grouping Radius=1
Mouse Mode=0
Preview Grouped Items=true
Preview Single Items=true
Show Thumbnails=true
Show numbers on items=true
Sticky Mode State=false
Thumbnail Grouping Radius=30
Thumbnail Size=60
Zoom=marble:900

[Digikam Right Sidebar][Metadata Properties Tab]
Current EXIF Item=
Current IPTC Item=
Current MAKERNOTE Item=
Current XMP Item=
EXIF Level=0
IPTC Level=0
ImagePropertiesMetaData Tab=0
MAKERNOTE Level=0
XMP Level=0

[Digikam Right Sidebar][Version Properties Tab]
Version Properties Tab=versions
Version Properties View Mode=2

[DigikamViewFolderSearchBar Search Text Tool]
CaseSensitive=0

[DigikamViewPeopleSearchBar Search Text Tool]
CaseSensitive=0

[DigikamViewSearchSearchBar Search Text Tool]
CaseSensitive=0

[DigikamViewTagFilterSearchBar Search Text Tool]
CaseSensitive=0

[DigikamViewTagFilterView]
CurrentIndex=
Expansion=
RestoreChecked=false
Selection=
SortColumn=0
SortOrder=0
Toggle Auto Tags=0

[DigikamViewTagSearchBar Search Text Tool]
CaseSensitive=0

[Face Detection Settings]
Application Style=
Detection Accuracy=0.8

[Fuzzy Search Sidebar]
CurrentIndex=
Expansion=
FuzzySearch Tab=1
Pen Sketch Hue=0
Pen Sketch Saturation=0
Pen Sketch Size=10
Pen Sketch Value=255
RestoreChecked=false
Result Sketch items=10
Selection=
Similars Threshold=90
SortColumn=0
SortOrder=0

[FuzzySearchViewSearchFuzzyBar Search Text Tool]
CaseSensitive=0

[GPS Search Sidebar]
CurrentIndex=
Expansion=
RestoreChecked=false
Selection=
Sort Order=0
SortColumn=0
SortOrder=0
SplitterState=AAAA/wAAAAAAAAACAAABXgAAAG8BAAAABgEAAAAC

[GPS Search Sidebar][GPSSearch Map Widget]
Backend=marble
Center=geo:52,6
GoogleMaps Map Type=ROADMAP
GoogleMaps Show Map Type Control=true
GoogleMaps Show Navigation Control=true
GoogleMaps Show Scale Control=true
Marble Map Theme=atlas
Marble Projection=spherical
Marble Show Compass=false
Marble Show Overview Map=false
Marble Show Scale Bar=false
Marker Grouping Radius=1
Mouse Mode=0
Preview Grouped Items=true
Preview Single Items=true
Show Thumbnails=true
Show numbers on items=true
Thumbnail Grouping Radius=30
Thumbnail Size=60
Zoom=marble:900

[GPSSearchViewSearchGPSBar Search Text Tool]
CaseSensitive=0

[General Settings]
Apply Sidebar Changes Directly=false
Finger Prints Generator First Run=true
Height 1050=1051
Scan At Start=true
Show Permanent Delete Dialog=true
Show Splash=true
Show Trash Delete Dialog=true
State=AAAA/wAAAAD9AAAAAAAABk8AAAO6AAAABAAAAAQAAAAIAAAACPwAAAABAAAAAgAAAAEAAAAWAG0AYQBpAG4AVABvAG8AbABCAGEAcgEAAAAA/////wAAAAAAAAAA
String Comparison Type=0
ToolBarsMovable=Disabled
Use Trash=true
Version=2.5.0
Width 1680=1681

[HTML Settings]
AutomaticDetectionLanguage=1

[Image Properties SideBar]
Contact Expanded=true
ImageDescEditTab SearchBarCaseSensitive=0
ImageDescEditTab Tab=0
ImageDescEditTab TagCheckViewCurrentIndex=
ImageDescEditTab TagCheckViewExpansion=0
ImageDescEditTab TagCheckViewRestoreChecked=false
ImageDescEditTab TagCheckViewSelection=
ImageDescEditTab TagCheckViewSortColumn=0
ImageDescEditTab TagCheckViewSortOrder=0
ImageDescEditTab TagCheckViewToggle Auto Tags=0
Location Expanded=true
Rights Expanded=true
Subjects Expanded=true

[ImageViewer Settings]
AutoBrightness=true
AutoZoom=true
BackgroundColor=0,0,0
Black Point=0
Brightness Multiplier=1
Custom White Balance=6500
Custom White Balance Green=1
Dcb Enhance Filter=false
Dcb Iterations=-1
Decoding Quality=0
Dont Stretch Pixels=false
Eeci Refine=false
EnableCACorrection=false
Es Median Filter Passes=0
Expo Correction=false
Expo Correction Highlight=0
Expo Correction Shift=1
ExpoIndicatorMode=true
FixColorsHighlights=false
Four Color RGB=false
FullScreen=false
FullScreen Hide ToolBar=false
FullScreenHideThumbBar=true
JPEG2000Compression=75
JPEG2000LossLess=true
JPEGCompression=75
JPEGSubSampling=1
Median Filter Passes=0
Noise Reduction Chrominance Threshold=0
Noise Reduction Threshold=0
Noise Reduction Type=0
Output Color Space=1
OverExposureColor=0,0,0
OverExposureIndicator=false
OverExposurePercentsEntry=1
PGFCompression=3
PGFLossLess=true
PNGCompression=9
PreviewMode=128
Show Thumbbar=false
SixteenBitsImage=false
SlideShowDelay=5
SlideShowLoop=false
SlideShowPrintApertureFocal=false
SlideShowPrintCapIfNoTitle=false
SlideShowPrintComment=false
SlideShowPrintDate=false
SlideShowPrintExpoSensitivity=false
SlideShowPrintLabels=false
SlideShowPrintMakeModel=false
SlideShowPrintName=true
SlideShowPrintTitle=false
SlideShowStartCurrent=false
SplitterState=AAAA/wAAAAAAAAACAAAAVAAAAWABAAAABgAAAAAB
State=AAAA/wAAAAD9AAAAAAAAAAAAAAAAAAAABAAAAAQAAAAIAAAACPwAAAABAAAAAgAAAAEAAAAWAG0AYQBpAG4AVABvAG8AbABCAGEAcgEAAAAA/////wAAAAAAAAAA
TIFFCompression=false
ToolBarsMovable=Disabled
Unclip Color=0
UnderExposureColor=255,255,255
UnderExposureIndicator=false
UnderExposurePercentsEntry=1
Use Black Point=false
Use White Point=false
UseRawImportTool=false
UseThemeBackgroundColor=true
White Balance=1
White Point=0
caBlueMultiplier=0
caRedMultiplier=0
corrections Expanded=false
demosaicing Expanded=true
whitebalance Expanded=true

[ImageViewer Settings][Right Sidebar]
ActiveTab=0
DigikamProperties Expanded=true
FileProperties Expanded=true
ImageProperties Expanded=true
Minimized=true
PhotographProperties Expanded=true
RestoreSize=-1

[ImageViewer Settings][Right Sidebar][Color Properties Tab]
Current ICC Item=
Histogram Channel=0
Histogram Scale=1
ICC Level=0
ImagePropertiesColors Tab=0

[ImageViewer Settings][Right Sidebar][GPS Properties Tab]
Sort Order=0
Web GPS Locator=0

[ImageViewer Settings][Right Sidebar][GPS Properties Tab][Map Widget]
Backend=marble
Center=geo:52,6
GoogleMaps Map Type=ROADMAP
GoogleMaps Show Map Type Control=true
GoogleMaps Show Navigation Control=true
GoogleMaps Show Scale Control=true
Marble Map Theme=atlas
Marble Projection=spherical
Marble Show Compass=false
Marble Show Overview Map=false
Marble Show Scale Bar=false
Marker Grouping Radius=1
Mouse Mode=0
Preview Grouped Items=true
Preview Single Items=true
Show Thumbnails=true
Show numbers on items=true
Sticky Mode State=false
Thumbnail Grouping Radius=30
Thumbnail Size=60
Zoom=marble:900

[ImageViewer Settings][Right Sidebar][Metadata Properties Tab]
Current EXIF Item=
Current IPTC Item=
Current MAKERNOTE Item=
Current XMP Item=
EXIF Level=0
IPTC Level=0
ImagePropertiesMetaData Tab=0
MAKERNOTE Level=0
XMP Level=0

[ImageViewer Settings][Right Sidebar][Version Properties Tab]
Version Properties Tab=versions
Version Properties View Mode=2

[Import Filters]
Filter0=Alle Dateien|false|||
Filter1=Nur neue Dateien|true|||
Filter2=Rohdateien|false|||image/x-nikon-nef;image/x-fuji-raf;image/x-adobe-dng;image/x-panasonic-raw;image/x-olympus-orf;image/x-kodak-dcr;image/x-kodak-k25;image/x-sony-arw;image/x-minolta-mrw;image/x-kodak-kdc;image/x-sigma-x3f;image/x-sony-srf;image/x-pentax-pef;image/x-panasonic-raw2;image/x-canon-crw;image/x-sony-sr2;image/x-canon-cr2
Filter3=JPG/TIFF-Dateien|false|||image/jpeg;image/tiff
Filter4=Videodateien|false|||video/quicktime;video/mp4;video/x-msvideo;video/mpeg
IgnoreExtensions=dsp dps
IgnoreNames=mgr_data pgr_mgr

[LightTable Settings]
Auto Load Right Panel=true
Auto Sync Preview=true
Clear On Close=false
FullScreen Hide ToolBar=false
Height 1050=305
Horizontal Splitter State=AAAA/wAAAAAAAAADAAABYAAAAFsAAAFfAQAAAAYAAAAAAQ==
Load Full Image size=false
Navigate By Pair=false
Show Thumbbar=true
State=AAAA/wAAAAD9AAAAAAAABk8AAAO6AAAABAAAAAQAAAAIAAAACPwAAAABAAAAAgAAAAEAAAAWAG0AYQBpAG4AVABvAG8AbABCAGEAcgEAAAAA/////wAAAAAAAAAA
ToolBarsMovable=Disabled
Width 1680=1120

[LightTable Settings][Left Sidebar]
ActiveTab=0
DigikamProperties Expanded=true
FileProperties Expanded=true
ImageProperties Expanded=true
Minimized=true
PhotographProperties Expanded=true
RestoreSize=29

[LightTable Settings][Left Sidebar][Color Properties Tab]
Current ICC Item=
Histogram Channel=0
Histogram Scale=1
ICC Level=0
ImagePropertiesColors Tab=0

[LightTable Settings][Left Sidebar][GPS Properties Tab]
Sort Order=0
Web GPS Locator=0

[LightTable Settings][Left Sidebar][GPS Properties Tab][Map Widget]
Backend=marble
Center=geo:52,6
GoogleMaps Map Type=ROADMAP
GoogleMaps Show Map Type Control=true
GoogleMaps Show Navigation Control=true
GoogleMaps Show Scale Control=true
Marble Map Theme=atlas
Marble Projection=spherical
Marble Show Compass=false
Marble Show Overview Map=false
Marble Show Scale Bar=false
Marker Grouping Radius=1
Mouse Mode=0
Preview Grouped Items=true
Preview Single Items=true
Show Thumbnails=true
Show numbers on items=true
Sticky Mode State=false
Thumbnail Grouping Radius=30
Thumbnail Size=60
Zoom=marble:900

[LightTable Settings][Left Sidebar][Metadata Properties Tab]
Current EXIF Item=
Current IPTC Item=
Current MAKERNOTE Item=
Current XMP Item=
EXIF Level=0
IPTC Level=0
ImagePropertiesMetaData Tab=0
MAKERNOTE Level=0
XMP Level=0

[LightTable Settings][Left Sidebar][Version Properties Tab]
Version Properties Tab=versions
Version Properties View Mode=2

[LightTable Settings][Right Sidebar]
ActiveTab=0
DigikamProperties Expanded=true
FileProperties Expanded=true
ImageProperties Expanded=true
Minimized=true
PhotographProperties Expanded=true
RestoreSize=29

[LightTable Settings][Right Sidebar][Color Properties Tab]
Current ICC Item=
Histogram Channel=0
Histogram Scale=1
ICC Level=0
ImagePropertiesColors Tab=0

[LightTable Settings][Right Sidebar][GPS Properties Tab]
Sort Order=0
Web GPS Locator=0

[LightTable Settings][Right Sidebar][GPS Properties Tab][Map Widget]
Backend=marble
Center=geo:52,6
GoogleMaps Map Type=ROADMAP
GoogleMaps Show Map Type Control=true
GoogleMaps Show Navigation Control=true
GoogleMaps Show Scale Control=true
Marble Map Theme=atlas
Marble Projection=spherical
Marble Show Compass=false
Marble Show Overview Map=false
Marble Show Scale Bar=false
Marker Grouping Radius=1
Mouse Mode=0
Preview Grouped Items=true
Preview Single Items=true
Show Thumbnails=true
Show numbers on items=true
Sticky Mode State=false
Thumbnail Grouping Radius=30
Thumbnail Size=60
Zoom=marble:900

[LightTable Settings][Right Sidebar][Metadata Properties Tab]
Current EXIF Item=
Current IPTC Item=
Current MAKERNOTE Item=
Current XMP Item=
EXIF Level=0
IPTC Level=0
ImagePropertiesMetaData Tab=0
MAKERNOTE Level=0
XMP Level=0

[LightTable Settings][Right Sidebar][Version Properties Tab]
Version Properties Tab=versions
Version Properties View Mode=2

[LightTable Thumbbar]
Height 1050=30
State=AAAA/wAAAAD9AAAAAQAAAAIAAAYhAAAAwPwBAAAAAfsAAAAmAGwAaQBnAGgAdAB0AGEAYgBsAGUAXwB0AGgAdQBtAGIAYgBhAHIAAAAAAAAABiEAAABbAP///wAABiEAAAL0AAAABAAAAAQAAAAIAAAACPwAAAAA
ToolBarsMovable=Disabled
Width 1680=30

[MainWindow]
InitialAlbumID=0
SplitterState=AAAA/wAAAAAAAAADAAABQwAAAo4AAAFgAQAAAAYAAAAAAQ==
ThumbbarState=AAAA/wAAAAD9AAAAAQAAAAIAAAAAAAAAAPwBAAAAAfsAAAAmAG0AYQBpAG4AdwBpAG4AZABvAHcAXwB0AGgAdQBtAGIAYgBhAHIAAAAAAP////8AAABbAP///wAABBYAAAO6AAAABAAAAAQAAAAIAAAACPwAAAAA

[Metadata Settings]
EXIF Rotate=true
EXIF Set Orientation=true
Metadata Writing Mode=0
Save Color Label=true
Save Date Time=true
Save EXIF Comments=true
Save Pick Label=true
Save Rating=true
Save Tags=true
Save Template=true
Update File Timestamp=false
Use XMP Sidecar For Reading=false
Write RAW Files=false

[MetadataSelectorView Search Text Tool]
CaseSensitive=0

[Nepomuk Settings]
Sync Digikam to Nepomuk=false
Sync Nepomuk to Digikam=false

[People Sidebar]
CurrentIndex=
Expansion=
RestoreChecked=false
Selection=
SortColumn=0
SortOrder=0

[Recent Dirs]
collectionlocation[$e]=file:///media/share/pictures/2010,file:///media/share/pictures/2011,file:///media/share/pictures/2012

[Search Sidebar]
CurrentIndex=
Expansion=
RestoreChecked=false
Selection=
SortColumn=0
SortOrder=0

[SearchBar Search Text Tool]
CaseSensitive=0

[Setup Dialog]
Height 1050=717
Setup Page=1
Template Tab=0
Width 1680=969

[TagFilter Sidebar]
LabelsFilter Expanded=true
Matching Condition=0
Search Text Filter Fields=31
Show Untagged=false
TagsFilter Expanded=true
TextFilter Expanded=true
TypeGeolocationFilter Expanded=true
TypeMimeFilter Expanded=true

[TagView Sidebar]
CurrentIndex=
Expansion=0
RestoreChecked=false
Selection=
SortColumn=0
SortOrder=0

[TimeLine Sidebar]
CurrentIndex=
Cursor Position=2012,6,1,0,0,0
Expansion=
Histogram Scale=0
Histogram TimeUnit=2
RestoreChecked=false
Selection=
SortColumn=0
SortOrder=0

[TimeLineViewSearchDateBar Search Text Tool]
CaseSensitive=0

[TipOfDay]
RunOnStart=false

[Versioning Settings]
Auto-Save When Closing Editor=false
Non-Destructive Editing Enabled=true
Save Intermediate After Each Session=false
Save Intermediate After Raw Conversion=false
Save Intermediate When Not Reproducible=false
Saving Format for Versions=JPG
Show Intermediates in View=false
Show Original in View=false

[mainwindow_mapwidgetview]
Sort Order=0

[mainwindow_mapwidgetview][Central Map Widget]
Backend=marble
Center=geo:52,6
GoogleMaps Map Type=ROADMAP
GoogleMaps Show Map Type Control=true
GoogleMaps Show Navigation Control=true
GoogleMaps Show Scale Control=true
Marble Map Theme=atlas
Marble Projection=spherical
Marble Show Compass=false
Marble Show Overview Map=false
Marble Show Scale Bar=false
Marker Grouping Radius=1
Mouse Mode=0
Preview Grouped Items=true
Preview Single Items=true
Show Thumbnails=true
Show numbers on items=true
Thumbnail Grouping Radius=30
Thumbnail Size=60
Zoom=marble:900

The crash can be reproduced some of the time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xaea858c0 (LWP 3305))]

Thread 6 (Thread 0xacc56b40 (LWP 3308)):
#0  0xb3512c64 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb47d2634 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb31a7410 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb316780b in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3167faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb316856b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xacc5b134 in ?? () from /usr/lib/i386-linux-gnu/gio/modules/libdconfsettings.so
#7  0xb318b6b3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb350fd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0xb47c4ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0xac2ffb40 (LWP 3309)):
#0  0xb3512c64 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb47d2634 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb31a7410 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb316780b in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3167faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb316856b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xaf8ba1ba in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#7  0xb318b6b3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb350fd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0xb47c4ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xaa3eeb40 (LWP 3311)):
#0  0xb7750424 in __kernel_vsyscall ()
#1  0xb351396b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb47d23dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4a97350 in wait (time=4294967295, this=0x8cdf378) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8cdf2e4, mutex=0x8cdf2e0, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820346e in Digikam::ScanController::run (this=0x8c6fcf0) at /build/buildd/digikam-2.5.0/core/digikam/database/scancontroller.cpp:647
#6  0xb4a96de0 in QThreadPrivate::start (arg=0x8c6fcf0) at thread/qthread_unix.cpp:298
#7  0xb350fd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb47c4ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xa9bedb40 (LWP 3312)):
#0  0xb3167872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb3167faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb3168201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4bde8e7 in QEventDispatcherGlib::processEvents (this=0xaaf00cb8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0xb4baa50d in QEventLoop::processEvents (this=0xa9bed0c0, flags=...) at kernel/qeventloop.cpp:149
#5  0xb4baa7a9 in QEventLoop::exec (this=0xa9bed0c0, flags=...) at kernel/qeventloop.cpp:204
#6  0xb4a9394c in QThread::exec (this=0x8cf5988) at thread/qthread.cpp:501
#7  0xb4b87b5d in QInotifyFileSystemWatcherEngine::run (this=0x8cf5988) at io/qfilesystemwatcher_inotify.cpp:248
#8  0xb4a96de0 in QThreadPrivate::start (arg=0x8cf5988) at thread/qthread_unix.cpp:298
#9  0xb350fd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0xb47c4ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xa93ecb40 (LWP 3314)):
#0  0xb7750424 in __kernel_vsyscall ()
#1  0xb351396b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb47d23dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4a97350 in wait (time=4294967295, this=0x9147660) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x8f79f58, mutex=0x8f79f54, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6a4eb2c in Digikam::ParkingThread::run (this=0x8f79f48) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4a96de0 in QThreadPrivate::start (arg=0x8f79f48) at thread/qthread_unix.cpp:298
#7  0xb350fd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb47c4ace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xaea858c0 (LWP 3305)):
[KCrash Handler]
#7  0x082449bd in data (arole=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qabstractitemmodel.h:402
#8  Digikam::AssignNameOverlay::checkIndex (this=0x9092910, index=...) at /build/buildd/digikam-2.5.0/core/digikam/items/assignnameoverlay.cpp:241
#9  0xb6aab93d in checkIndexOnEnter (index=..., this=0x9092910) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:282
#10 Digikam::AbstractWidgetDelegateOverlay::checkIndexOnEnter (this=0x9092910, index=...) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:270
#11 0xb6aab9bc in Digikam::PersistentWidgetDelegateOverlay::slotEntered (this=0x9092910, index=...) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:577
#12 0xb6aabe4b in setPersistent (this=<optimized out>, persistent=<optimized out>) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:542
#13 Digikam::PersistentWidgetDelegateOverlay::setPersistent (this=0x9092910, persistent=false) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:525
#14 0xb6aac023 in Digikam::PersistentWidgetDelegateOverlay::leavePersistentMode (this=0x9092910) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:558
#15 0x082448d4 in Digikam::AssignNameOverlay::eventFilter (this=0x9092910, o=0x9bfd508, e=0xbfc13800) at /build/buildd/digikam-2.5.0/core/digikam/items/assignnameoverlay.cpp:351
#16 0xb4babb16 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8afd250, receiver=0x9bfd508, event=0xbfc13800) at kernel/qcoreapplication.cpp:986
#17 0xb5118ea2 in notify_helper (e=0xbfc13800, receiver=0x9bfd508, this=0x8afd250) at kernel/qapplication.cpp:4555
#18 QApplicationPrivate::notify_helper (this=0x8afd250, receiver=0x9bfd508, e=0xbfc13800) at kernel/qapplication.cpp:4531
#19 0xb511e3a2 in QApplication::notify (this=0x8afd250, receiver=0x9bfd508, e=0xbfc13800) at kernel/qapplication.cpp:4524
#20 0xb5c9e401 in KApplication::notify (this=0xbfc145a0, receiver=0x9bfd508, event=0xbfc13800) at ../../kdeui/kernel/kapplication.cpp:311
#21 0xb4bab97e in QCoreApplication::notifyInternal (this=0xbfc145a0, receiver=0x9bfd508, event=0xbfc13800) at kernel/qcoreapplication.cpp:876
#22 0xb511740a in sendEvent (event=0xbfc13800, receiver=0x9bfd508) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#23 QApplicationPrivate::setFocusWidget (focus=0x8f6f450, reason=Qt::MouseFocusReason) at kernel/qapplication.cpp:2260
#24 0xb5164e1b in QWidget::setFocus (this=0x8f6f450, reason=Qt::MouseFocusReason) at kernel/qwidget.cpp:6450
#25 0xb5116eb0 in QApplicationPrivate::giveFocusAccordingToFocusPolicy (widget=0x907d000, focusPolicy=Qt::ClickFocus, focusReason=Qt::MouseFocusReason) at kernel/qapplication.cpp:5593
#26 0xb51204e4 in QApplication::notify (this=0xbfc145a0, receiver=0x907d000, e=0xbfc13cd4) at kernel/qapplication.cpp:4059
#27 0xb5c9e401 in KApplication::notify (this=0xbfc145a0, receiver=0x907d000, event=0xbfc13cd4) at ../../kdeui/kernel/kapplication.cpp:311
#28 0xb4bab97e in QCoreApplication::notifyInternal (this=0xbfc145a0, receiver=0x907d000, event=0xbfc13cd4) at kernel/qcoreapplication.cpp:876
#29 0xb5119e95 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#30 QApplicationPrivate::sendMouseEvent (receiver=0x907d000, event=0xbfc13cd4, alienWidget=0x907d000, nativeWidget=0x8f6f450, buttonDown=0xb5aadcf4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#31 0xb51a6074 in QETWidget::translateMouseEvent (this=0x8f6f450, event=0xbfc1418c) at kernel/qapplication_x11.cpp:4617
#32 0xb51a4c0d in QApplication::x11ProcessEvent (this=0xbfc145a0, event=0xbfc1418c) at kernel/qapplication_x11.cpp:3732
#33 0xb51d1eac in x11EventSourceDispatch (s=0x8afe308, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#34 0xb3167d86 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#35 0xb3168125 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#36 0xb3168201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#37 0xb4bde887 in QEventDispatcherGlib::processEvents (this=0x8ab78a8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#38 0xb51d1aaa in QGuiEventDispatcherGlib::processEvents (this=0x8ab78a8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#39 0xb4baa50d in QEventLoop::processEvents (this=0xbfc14484, flags=...) at kernel/qeventloop.cpp:149
#40 0xb4baa7a9 in QEventLoop::exec (this=0xbfc14484, flags=...) at kernel/qeventloop.cpp:204
#41 0xb4bafeba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#42 0xb5116a74 in QApplication::exec () at kernel/qapplication.cpp:3820
#43 0x080b69e4 in main (argc=<error reading variable: Cannot access memory at address 0x360031>, argv=<error reading variable: Cannot access memory at address 0x360035>) at /build/buildd/digikam-2.5.0/core/digikam/main/main.cpp:232

This bug may be a duplicate of or related to bug 297558.

Possible duplicates by query: bug 301506, bug 297558, bug 287961, bug 285517, bug 277808.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-07-10 20:55:36 UTC

*** This bug has been marked as a duplicate of bug 297558 ***
Comment 2 Helmut Rohs 2013-04-08 21:45:49 UTC
Created attachment 78742 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

Tagging faces, entering an new person's id.

-- Backtrace (Reduced):
#7  0x082449bd in data (arole=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qabstractitemmodel.h:402
#8  Digikam::AssignNameOverlay::checkIndex (this=0xa6df738, index=...) at /build/buildd/digikam-2.5.0/core/digikam/items/assignnameoverlay.cpp:241
#9  0xb6a4493d in checkIndexOnEnter (index=..., this=0xa6df738) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:282
#10 Digikam::AbstractWidgetDelegateOverlay::checkIndexOnEnter (this=0xa6df738, index=...) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:270
#11 0xb6a449bc in Digikam::PersistentWidgetDelegateOverlay::slotEntered (this=0xa6df738, index=...) at /build/buildd/digikam-2.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:577
Comment 3 caulier.gilles 2019-12-23 06:21:47 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier